Bug 16462 - Change default sorting of circulation patron search results to patron name
Summary: Change default sorting of circulation patron search results to patron name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16336
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-06 14:14 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16462 - Change default sorting of circulation patron search results to patron name (1.64 KB, patch)
2016-05-25 16:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16462 - Change default sorting of circulation patron search results to patron name (1.77 KB, patch)
2016-05-28 19:26 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16462 - Change default sorting of circulation patron search results to patron name (1.84 KB, patch)
2016-06-19 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-06 14:14:23 UTC
At some point in the past the sorting of patron search results in circulation (checkout and placing holds) changed from being sorted by name to being sorted by card number. I think sorting by name is more useful in these interfaces.
Comment 1 Owen Leonard 2016-05-25 16:01:00 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-28 19:26:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-19 12:56:34 UTC
Created attachment 52541 [details] [review]
Bug 16462 - Change default sorting of circulation patron search results to patron name

This patch changes the default sort of patron quick search results from
the circulation header search or when searching for a patron during the
hold process.

To test:

In Circulation:
- Perform a search by name for a patron which will
  return multiple search results.
- Confirm that the results are sorted by patron name.

In the catalog:
- Locate and place a hold on a title.
- When prompted to select a patron to place the hold for, perform a
  search by name which will return multiple results.
- Confirm that the results are sorted by patron name.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-06-19 12:57:24 UTC
Shouldn't we consider this as a bugfix and backport it?
Comment 5 Katrin Fischer 2016-06-19 13:02:16 UTC
I agree - let's make this a bug :)
Comment 6 Kyle M Hall 2016-06-24 13:05:06 UTC
Pushed to master for 16.05, thanks Owen!
Comment 7 Frédéric Demians 2016-08-01 11:52:16 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-16 13:04:54 UTC
Not needed in 3.22.x